/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
/**
 *
 * @export
 * @interface TransactionStatsData
 */
export interface TransactionStatsData {
  /**
   *
   * @type {number}
   * @memberof TransactionStatsData
   */
  count: number;
  /**
   *
   * @type {{ [key: string]: number; }}
   * @memberof TransactionStatsData
   */
  moneyTotal: {[key: string]: number};
  /**
   *
   * @type {number}
   * @memberof TransactionStatsData
   */
  nativeCollateralAmountTotal: number;
  /**
   *
   * @type {{ [key: string]: number; }}
   * @memberof TransactionStatsData
   */
  erc20CollateralTotal: {[key: string]: number};
}

export function TransactionStatsDataFromJSON(json: any): TransactionStatsData {
  return TransactionStatsDataFromJSONTyped(json, false);
}

export function TransactionStatsDataFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): TransactionStatsData {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    count: json['count'],
    moneyTotal: json['moneyTotal'],
    nativeCollateralAmountTotal: json['nativeCollateralAmountTotal'],
    erc20CollateralTotal: json['erc20CollateralTotal'],
  };
}

export function TransactionStatsDataToJSON(
  value?: TransactionStatsData | null
): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    count: value.count,
    moneyTotal: value.moneyTotal,
    nativeCollateralAmountTotal: value.nativeCollateralAmountTotal,
    erc20CollateralTotal: value.erc20CollateralTotal,
  };
}
